Bug 376619 - Only show when using this application (Dolphin) does not work
Summary: Only show when using this application (Dolphin) does not work
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Applications
Component: panels: places (show other bugs)
Version: 16.12.2
Platform: PCLinuxOS Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-18 15:36 UTC by Texstar
Modified: 2018-12-29 03:06 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 19.04.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Texstar 2017-02-18 15:36:32 UTC
When creating a new places and checking the box "Only show when using this application (Dolphin)" does not work and the place can be seen in Gwenview for example.

KDE Plasma - 5.8.5/5.31.0/16.12.2
Comment 1 North 2017-02-19 06:42:45 UTC
I confirm the issue using the same operating system.  A 'place' on the start page of Gwenview can be restricted to Gwenview.
Comment 2 Tony 2017-02-21 08:06:42 UTC
Can confirm this one on Neon. 
As a workaround hide the entry you want only to be shown on dolphin and then select "Show all entries".
This works even if i don't set "Only show when using this application (Dolphin)".
Comment 3 Tony 2017-02-21 08:11:31 UTC
(In reply to Tony from comment #2)
> Can confirm this one on Neon. 
> As a workaround hide the entry you want only to be shown on dolphin and then
> select "Show all entries".
> This works even if i don't set "Only show when using this application
> (Dolphin)".

Now that i double check this "workaround" may in fact be a bug too.
Comment 4 Nate Graham 2017-09-02 23:16:00 UTC
Yep, confirmed.
Comment 5 Elvis Angelaccio 2018-11-11 18:05:07 UTC
Git commit 20e11282b5476891afa8d5c9a2656f18027e7df8 by Elvis Angelaccio.
Committed on 11/11/2018 at 18:02.
Pushed by elvisangelaccio into branch 'master'.

[PlacesItem] Add support for OnlyInApp metadata for bookmarks

This will allow to edit an existing place to make it application-local
or visible from all applications.

M  +13   -0    src/panels/places/placesitem.cpp
M  +3    -0    src/panels/places/placesitem.h

https://commits.kde.org/dolphin/20e11282b5476891afa8d5c9a2656f18027e7df8
Comment 6 Elvis Angelaccio 2018-11-24 11:00:11 UTC
Git commit 7ad161b1a2bb4d074fe1901a5fe35cd3043edb0c by Elvis Angelaccio.
Committed on 24/11/2018 at 10:37.
Pushed by elvisangelaccio into branch 'master'.

Export again KFilePlaceEditDialog

Summary:
We are going to use it from Dolphin, which has an old copy with missing
features.

Reviewers: #dolphin, dfaure

Subscribers: kde-frameworks-devel

Tags: #frameworks

Differential Revision: https://phabricator.kde.org/D16825

M  +1    -0    src/filewidgets/CMakeLists.txt
M  +1    -1    src/filewidgets/kfileplaceeditdialog.cpp
R  +7    -7    src/filewidgets/kfileplaceeditdialog.h [from: src/filewidgets/kfileplaceeditdialog_p.h - 094% similarity]
M  +1    -1    src/filewidgets/kfileplacesview.cpp

https://commits.kde.org/kio/7ad161b1a2bb4d074fe1901a5fe35cd3043edb0c
Comment 7 Elvis Angelaccio 2018-11-24 12:07:04 UTC
Git commit b5df5f4d9581b314f1fc2d6c15b4f01de9f5204b by Elvis Angelaccio.
Committed on 24/11/2018 at 11:18.
Pushed by elvisangelaccio into branch 'master'.

[PlacesPanel] Port to KFilePlaceEditDialog

Summary:
This patch ports away from the old PlacesItemEditDialog copy,
which doesn't honour the "applicationLocal" checkbox.

KFilePlaceEditDialog was not exported by KIO, but it will be starting
from 5.53
FIXED-IN: 19.03.80

Test Plan:
* Create a new place ("Add Entry" from the panel context menu) and check the "only show in dolphin" checkbox
* Edit an existing (global) place and check the "only show in dolphin" checkbox

Reviewers: #dolphin

Subscribers: kfm-devel

Tags: #dolphin

Differential Revision: https://phabricator.kde.org/D16824

M  +1    -1    CMakeLists.txt
M  +0    -1    src/CMakeLists.txt
D  +0    -174  src/panels/places/placesitemeditdialog.cpp
D  +0    -78   src/panels/places/placesitemeditdialog.h
M  +12   -13   src/panels/places/placespanel.cpp

https://commits.kde.org/dolphin/b5df5f4d9581b314f1fc2d6c15b4f01de9f5204b
Comment 8 North 2018-12-29 00:50:24 UTC
Following the apparent resolution of this issue, I removed my $HOME directory from the File > Open dialog in Okular.  It then disappeared from 'Places' in Dolphin.  I added it back to Dolphin 'Places' and, sure enough, it was in the File > Open dialog of Okular again.
Comment 9 Nate Graham 2018-12-29 03:06:31 UTC
The fix hasn't been released yet. Unless you compiled Dolphin from source, your version doesn't have the fix yet.